## debian-security-support 13+2025.07.16

=== po/Makefile ===
# Makefile for various po files.
# From libintl-perl (1.24-1)

# Copyright: (C) 2002-2015, Guido Flohr <guido.flohr@cantanea.com>
# Copyright: (C) 2016 Santiago Ruano Rincón <santiago@debian.org>

# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3, or (at your option) any
# later version.

# A copy of the GPL-3 can be found at /usr/share/common-licenses/GPL-3 on
# any Debian system.

srcdir = .

CATALOGS  = $(LINGUAS)
MO_FILES = $(addsuffix .gmo, $(LINGUAS))

MSGMERGE = msgmerge --width=72
MSGFMT   = msgfmt
XGETTEXT = xgettext --width=72
MSGCAT   = msgcat
MSGATTRIB = msgattrib --width=72
CATOBJEXT = .po

include PACKAGE

TD = $(strip $(TEXTDOMAIN))

default: help

all: $(TD).pot update-po update-mo install

help:
	@echo "Available targets:"
	@echo "  pot                       - remake master catalog"
	@echo "  update-po                 - merge po files"
	@echo "  update-mo                 - regenerate mo files"
	@echo "  install                   - install mo files"
	@echo "  all                       - all of the above"

POTFILES = $(srcdir)/POTFILES \
	$(shell cat $(srcdir)/POTFILES) 

pot: $(TD).pot 

clean:
	rm -f *~ *.bak *.gmo

$(TD).pot: $(POTFILES)
	$(XGETTEXT) --output=$(srcdir)/$(TD).pox --from-code=utf-8 \
		--language=Shell \
		--add-comments=TRANSLATORS: --files-from=$(srcdir)/POTFILES \
		--copyright-holder="$(COPYRIGHT_HOLDER)" \
		--msgid-bugs-address="$(MSGID_BUGS_ADDRESS)" && \
	rm -f $@ && mv $(TD).pox $@

install: $(MO_FILES)
	cd $(srcdir); \
	targetdir='../debian/debian-security-support/usr/share/locale/' \
	languages='$(LINGUAS)'; \
	for lang in $$languages; do \
		mkdir -p "$$targetdir/$$lang/LC_MESSAGES" || exit 1; \
		dest="$$targetdir/$$lang/LC_MESSAGES/$(TD).mo"; \
		cat="$$lang.gmo"; \
		echo "installing $$cat as $$dest"; \
		cp -f $$cat $$dest && chmod 644 $$dest || exit 1; \
	done

update-mo: $(MO_FILES)

update-po:
	$(MAKE) $(TD).pot
	cd $(srcdir); \
        catalogs='$(CATALOGS)'; \
        for cat in $$catalogs; do \
          cat=`basename $$cat`; \
          lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
          mv $$lang.po $$lang.old.po; \
          echo "$$lang:"; \
          if $(MSGMERGE) $$lang.old.po $(TD).pot -o $$lang.po; then \
		    if test -f ../debian/po/$$lang.po ; then \
			  $(MSGCAT) --use-first -o $$lang.compendium.po ../debian/po/$$lang.po $$lang.po ;  \
			  $(MSGCAT) --use-first -o update.po $$lang.compendium.po $$lang.po ; \
			  $(MSGMERGE) update.po $(TD).pot | $(MSGATTRIB) --no-obsolete > $$lang.po ;\
			  rm update.po $$lang.compendium.po ; \
		    fi; \
            rm -f $$lang.old.po; \
          else \
            echo "msgmerge for $$cat failed!"; \
            rm -f $$lang.po; \
            mv $$lang.old.po $$lang.po; \
          fi; \
        done

.SUFFIXES:
.SUFFIXES: .po .gmo

.po.gmo:
	$(MSGFMT) --check --statistics --verbose -o $@ $<

## debian-security-support 9+2021.01.23

=== debian/changelog ===
debian-security-support (1:9+2021.01.23) stretch-security; urgency=medium

  [ Holger Levsen ]
  * Release for stretch only containing changes relevant to stretch.

  [ Sylvain Beucler ]
  * security-support-ended.deb9: Drop support for Reel.

 -- Holger Levsen <holger@debian.org>  Mon, 25 Jan 2021 13:15:09 +0100

debian-security-support (1:9+2020.12.04) stretch-security; urgency=medium

  [ Holger Levsen ]
  * Introduce release based versioning and add an epoch to achieve that.
    See https://lists.debian.org/20200817100153.GA944@layer-acht.org and
    follow-ups.
  * Makefile.PL: strip epoch from internal version just like ~deb10u1 etc are
    also dropped.

  [ Sylvain Beucler ]
  * security-support-ended.deb9: Drop support for MongoDB.

 -- Holger Levsen <holger@debian.org>  Fri, 04 Dec 2020 20:26:14 +0100

debian-security-support (2020.06.21~deb9u1) stretch; urgency=medium

  * This update for stretch only contains changes to the files
    security-support-limited and security-support-ended.deb(8|9|10) from
    version 2020.06.21 from unstable, the changes in detail are:
    - from 2020.06.21:
      * Add cinder (OpenStack component) to security-support-ended.deb8.
    - from 2020.06.11:
      * Also add unbound to security-support-ended.deb8 - see DSA 4694-1
        and https://lists.debian.org/debian-lts/2020/06/msg00024.html and
        follow-ups.
    - from 2020.06.09:
      * Add unbound to security-support-ended.deb9 (see DSA 4694-1).
    - from 2020.05.22:
      * Add pdns-recursor to security-support-ended.deb9 as explained in
        DSA-4691-1.
    - from 2020.05.08:
      * Mark OpenStack packages as being unsupported in LTS; "jessie lost support
        from upstream just a few weeks after the release."
    - from 2020.04.16:
      * Add tor to security-support-ended.deb8 as well, see DSA 4644-1.
      * Add libperlspeak-perl to security-support-ended.deb(8|9|10), because of
        CVE-2020-10674 (#954238), also see #954297, #954298 and #954299.
    - from 2020.03.22:
      * Add tor to security-support-ended.deb9, see DSA 4644-1.
    - from 2020.03.15:
      * security-support-limited/zoneminder: declare limited support behind an
        authenticated HTTP zone (see #922724).
    - from 2020.03.05:
      * Add xen to security-support-ended.deb8.
    - from 2020.02.21:
      * Add nodejs to security-support-ended.deb8 and .deb9.
    - from 2020.01.21:
      * Add nethack to security-support-ended.deb8.
      * Mark xen as end-of-life for Stretch (DSA 4602-1).

 -- Holger Levsen <holger@debian.org>  Fri, 10 Jul 2020 19:58:12 +0200

debian-security-support (2019.12.12~deb9u2) stretch-security; urgency=medium

  * Rebuild for stretch-security.
  * Use debian/compat and depends on debhelper to support building on stretch.

 -- Holger Levsen <holger@debian.org>  Thu, 30 Jan 2020 22:04:07 +0100

debian-security-support (2019.12.12) unstable; urgency=medium

  * security-support-limited: point to https://www.debian.org/releases/ \
    buster/amd64/release-notes/ch-information.en.html#golang-static-linking
    for golang* packages.

 -- Holger Levsen <holger@debian.org>  Thu, 12 Dec 2019 16:52:42 +0100

debian-security-support (2019.11.16) unstable; urgency=medium

  * Add chromium to security-support-ended.deb9.
  * d/rules: update to NEXT_VERSION_ID=11.

 -- Holger Levsen <holger@debian.org>  Sat, 16 Nov 2019 11:00:08 +0100

debian-security-support (2019.11.15) unstable; urgency=medium

  * Team upload.
  * Add libqb to security-support-ended.deb8.

 -- Roberto C. Sanchez <roberto@debian.org>  Fri, 15 Nov 2019 09:17:07 -0500

debian-security-support (2019.11.01) unstable; urgency=medium

  * Remove nodejs from security-support-limited as it is supported since the
    Buster release. Closes: #931376.
  * Add empty security-support-ended.deb11 file.
  * check-support-status.in: set DEB_NEXT_VER_ID=11.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Nov 2019 19:49:47 +0100

debian-security-support (2019.10.31) unstable; urgency=medium

  * Mark nodejs only suitable for trusted content. Closes: #931376.
  * Add nasm-mozilla and nodejs-mozilla to security-support-ended.deb8
    and security-support-ended.deb9 as they are only provided as build
    dependency for Firefox/Thunderbird >= 68. Closes: #943365.
  * Bump standards version to 4.4.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 31 Oct 2019 21:30:17 +0100

debian-security-support (2019.06.13) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Add mysql-5.5 to security-support-ended.deb8.

  * Translation updates:
    - Danish, thanks to Joe Dalton. Closes: #929941.
    - Czech, thanks to Michal Simunek. Closes: #930384.
    - this means all included translations are uptodate, yay!

 -- Holger Levsen <holger@debian.org>  Thu, 13 Jun 2019 18:27:05 +0200

debian-security-support (2019.06.01) unstable; urgency=medium

  * New translations:
    - Swedish, thanks to Andreas Ronnquist. Closes: #929401.
    - Dutch, thanks to Frans Spiesschaert. Closes: #929809.
  * Translation updates:
    - Russian, thanks to Yuri Kozlov. Closes: #929384.
    - Japanese, thanks to Shinichi Sakata and victory.
    - Portuguese, thanks to Américo Monteiro. Closes: #929404.
    - Polish, thanks to Łukasz Dulny.
    - Brasilian Portuguese, thanks to Adriano Rafael Gomes. Closes: #929765.
    - Italian, thanks to Beatrice Torracca. Closes: #929812.

 -- Holger Levsen <holger@debian.org>  Sat, 01 Jun 2019 17:44:00 +0200

debian-security-support (2019.05.22) unstable; urgency=medium

  * Mark jasperreports as end-of-life in Stretch as well. Closes: #884907.
  * Explain in comments to check-support-status.hook and postinst that code
    needs to be present in both files as the hook could be run before
    postinst. #928968 has a longer explanation why and is used for tracking
    that this will be properly fixed eventually.

 -- Holger Levsen <holger@debian.org>  Wed, 22 May 2019 14:49:10 +0200



=== debian/control ===
Source: debian-security-support
Section: admin
Priority: optional
Maintainer: Holger Levsen <holger@debian.org>
Uploaders: Debian Security Team <team@security.debian.org>
Build-Depends: debhelper (>= 10),
    asciidoc,
    gettext,
    gawk,
    libfile-slurp-perl,
    libtemplate-perl,
    libtest-command-perl,
    libtest-differences-perl,
    mawk,
    original-awk,
    po-debconf,
    xmlto,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/debian-security-support.git
Vcs-Browser: https://salsa.debian.org/debian/debian-security-support

Package: debian-security-support
Architecture: all
Depends: ${misc:Depends},
    adduser,
    gettext-base,
Description: Debian security support coverage checker
 For some Debian packages, it is not feasible to maintain full security
 support for all use cases through the full distribution release
 cycle.
 .
 This package provides a program to identify installed packages for
 which support has had to be limited or prematurely ended, and to
 alert the administrator.
 .
 New versions of this package with updated checklists will be provided
 via standard and/or extended security support.

## debian-security-support 9+2022.06.02

=== debian/changelog ===
debian-security-support (1:9+2022.06.02) stretch-security; urgency=medium

  [ Abhijith PA ]
  * security-support-ended.deb9: drop support for keystone.

  [ Utkarsh Gupta ]
  * Copy respective files from master (uploaded to Debian
    sid via 1:12+2022.06.01):
    + security-support-ended.deb9: drop support for
      - node-.*
      - libspring-java
      - guacamole-client
      - gpac
      - ansible
      - mysql-connector-java
      - ckeditor3
    + security-support-ended.deb10: drop support for
      - xen
  * d/.gitlab-ci.yml: Remove build artifacts to fix CI
    pipeline. \o/

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 02 Jun 2022 23:36:53 +0530

## debian-security-support 10+2022.08.23

=== debian/changelog ===
debian-security-support (1:10+2022.08.23) buster; urgency=medium

  * Introduce release based versioning and add an epoch to achieve that.
    See https://lists.debian.org/20200817100153.GA944@layer-acht.org and
    follow-ups. Closes: #988321
  * Makefile.PL: strip epoch from internal version just like ~deb10u1 etc are
    also dropped.
  * Update security-support-ended.deb10 from 1:12+2022.08.12 from unstable,
    thus adding these packages to it:
    - chromium
    - ckeditor3
    - gpac
    - libspring-java
    - slurm-llnl
    - xen
  * Update security-support-limited from 1:12+2022.08.12 from unstable,
    thus adding:
    - golang
    - khtml
  * Drop libv8-3.14, mosjz, mosjz24, swftools and webkitgtk from
    security-support-limited as they were only present in stretch and earlier.
  * Also drop glpi, ltp and wine-gecko-2.(21|24) from security-support-limited
    as they were only present in jessie or earlier.

 -- Holger Levsen <holger@debian.org>  Tue, 23 Aug 2022 18:57:12 +0200

debian-security-support (2020.06.21~deb10u1) buster; urgency=medium

  * Rebuild for buster.

 -- Holger Levsen <holger@debian.org>  Fri, 10 Jul 2020 19:29:25 +0200

debian-security-support (2020.06.21) unstable; urgency=medium

  [ Mike Gabriel ]
  * Add cinder (OpenStack component) to security-support-ended.deb8.

 -- Holger Levsen <holger@debian.org>  Sun, 21 Jun 2020 18:02:22 +0200

debian-security-support (2020.06.11) unstable; urgency=medium

  * Also add unbound to security-support-ended.deb8 - see DSA 4694-1
    and https://lists.debian.org/debian-lts/2020/06/msg00024.html and
    follow-ups.

 -- Holger Levsen <holger@debian.org>  Thu, 11 Jun 2020 02:15:12 +0200

debian-security-support (2020.06.09) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Add unbound to security-support-ended.deb9 (see DSA 4694-1).

 -- Holger Levsen <holger@debian.org>  Tue, 09 Jun 2020 02:17:43 +0200

debian-security-support (2020.05.22) unstable; urgency=medium

  * Add pdns-recursor to security-support-ended.deb9 as explained in
    DSA-4691-1.

 -- Holger Levsen <holger@debian.org>  Fri, 22 May 2020 12:34:55 +0200

debian-security-support (2020.05.08) unstable; urgency=medium

  [ Chris Lamb ]
  * Mark OpenStack packages as being unsupported in LTS; "jessie lost support
    from upstream just a few weeks after the release."

 -- Holger Levsen <holger@debian.org>  Fri, 08 May 2020 15:14:41 +0200

debian-security-support (2020.04.16) unstable; urgency=medium

  * Add tor to security-support-ended.deb8 as well, see DSA 4644-1.
  * Add libperlspeak-perl to security-support-ended.deb(8|9|10), because of
    CVE-2020-10674 (#954238), also see #954297, #954298 and #954299.

 -- Holger Levsen <holger@debian.org>  Thu, 16 Apr 2020 02:16:25 +0200

debian-security-support (2020.03.22) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Add tor to security-support-ended.deb9, see DSA 4644-1.

 -- Holger Levsen <holger@debian.org>  Sun, 22 Mar 2020 10:15:38 +0100

debian-security-support (2020.03.15) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * security-support-limited/zoneminder: declare limited support behind an
    authenticated HTTP zone (see #922724).

  [ Daniel Shahaf ]
  * Revert unintentional output change in #951874 4/4. Closes: #953732.

 -- Holger Levsen <holger@debian.org>  Sun, 15 Mar 2020 11:03:43 +0100

debian-security-support (2020.03.05) unstable; urgency=medium

  [ Bastian Blank ]
  * Add xen to security-support-ended.deb8.

  [ Holger Levsen ]
  * Correct bug closure for #951874 in 2020.02.25 changelog entry. #951772 was
    already closed in 2020.02.21.

 -- Holger Levsen <holger@debian.org>  Thu, 05 Mar 2020 11:04:22 +0100

debian-security-support (2020.02.25) unstable; urgency=medium

  [ Daniel Shahaf ]
  * Miscellaneous sh fixes, Closes: #951874.
    - avoid implementation-defined behaviour.
    - fix --version output, use defined variable.
    - print errors and warnings to stderr.
    - clarify an error message.

  [ Holger Levsen ]
  * postinst and check-support-status.hook: drop workaround for upgrades from
    releases before 2016-03-30.
  * check-support-status.in:
    - drop code needed for supporting dpkg-query from squeeze.
    - set DEB_LOWEST_VER_ID=8 as we dropped security-support-ended.deb7 in the
      last upload.
    - Don't exit gracefully if the detected Debian version is not supported,
      instead issue a warning and continue, to both do the checks that can be
      done and to not fail the package installation. Closes: #952383.
  * po/debian-security-support.pot: drop removed string.
  * Update all .po files for changed strings in the English original.
  * Add "package-uses-old-debhelper-compat-version 11" to
    source/lintian-overrides. The package shall be trivially buildable on
    stable.

 -- Holger Levsen <holger@debian.org>  Tue, 25 Feb 2020 15:46:23 +0100

debian-security-support (2020.02.21) unstable; urgency=medium

  [ Holger Levsen ]
  * Drop security-support-ended.deb7, we don't support wheezy anymore. (eLTS
    is maintained outside Debian.)
  * Add nodejs to security-support-ended.deb8 and .deb9.
  * Use runuser instead of su. Closes: #890862. Thanks to Jakobus Schürz.
  * Wrap long lines in changelog entries: 2015.04.04, thanks lintian-brush.
  * Fix day-of-week for changelog entry 2015.04.04, thanks lintian-brush.

  [ Daniel Shahaf ]
  * Allow one to exclude specific packages from the check. Closes: #951442.
  * Prefix "check-support-status: " to error messages. Closes: #951772.

 -- Holger Levsen <holger@debian.org>  Fri, 21 Feb 2020 18:38:55 +0100

debian-security-support (2020.01.21) unstable; urgency=medium

  [ Abhijith PA ]
  * Add nethack to security-support-ended.deb8.

  [ Salvatore Bonaccorso ]
  * Mark xen as end-of-life for Stretch (DSA 4602-1).

  [ Holger Levsen ]
  * Improve describe of binutils' status in security-support-limited. Thanks
    to Daniel Shahaf for the patch. Closes: #948634.


## debian-security-support 10+2024.01.31

=== debian/changelog ===
debian-security-support (1:10+2024.01.31) buster-security; urgency=medium

  [ Santiago Ruano Rincón ]
  * Mark salt as non-supported in buster. (MR: debian/debian-security-support!22)

  [ Holger Levsen ]
  * Add tiles to security-support-limited, Closes: #1057343.
  * Drop debian/.gitlab-ci.yml.

 -- Holger Levsen <holger@debian.org>  Wed, 31 Jan 2024 22:09:59 +0100

debian-security-support (1:10+2023.13.12) buster-security; urgency=medium

  [ Sylvain Beucler ]
  * security-support-limited: add gnupg1, see #982258.

  [ Markus Koschany ]
  * Add pluxml to security-support-ended.deb10.

  [ Emilio Pozuelo Monfort ]
  * Add webkit2gtk to security-support-ended.deb10
  * Move webkit2gtk into security-support-limited.

  [ Santiago Ruano Rincón ]
  * Mark samba support limited to non-AD DC uses cases. Closes: #1053109.

  [ Markus Koschany ]
  * EOL Tor for Buster.

 -- Holger Levsen <holger@debian.org>  Tue, 12 Dec 2023 22:01:44 +0100

## debian-security-support 11+2020.09.12

=== debian/changelog ===
debian-security-support (1:11+2020.09.12) unstable; urgency=medium

  [ Holger Levsen ]
  * Introduce release based versioning and add an epoch to achieve that.
    See https://lists.debian.org/20200817100153.GA944@layer-acht.org and
    follow-ups.
  * Makefile.PL: strip epoch from internal version just like ~deb10u1 etc are
    also dropped.
  * Bump debhelper from old 11 to 12.
    + debian/rules: Move --fail-missing argument to dh_missing.
    + drop debian/source/lintian-overrides.
    (With thanks to lintian-brush for making this trivial.)

 -- Holger Levsen <holger@debian.org>  Sat, 12 Sep 2020 12:08:05 +0200

debian-security-support (2020.07.12) unstable; urgency=medium

  * Drop support for jessie:
    - drop security-support-ended.deb8.
    - set DEB_LOWEST_VER_ID=9 in check-support-status.in.
  * security-support-limited:
    - add mozjs68. Closes: #959804, thanks to Simon McVittie for the bug
      report. (Affects bullseye and newer.)
    - drop glpi as it was only shipped in jessie and before.
    - drop ltp as it was only shipped in squeeze.
    - drop wine-gecko-2.(21|24) as they were only present in jessie.
  * lintian-overrides: drop unused maintainer-script-should-not-use-adduser-
    system-without-home.

 -- Holger Levsen <holger@debian.org>  Sun, 12 Jul 2020 16:18:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Holger Levsen <holger@debian.org>
 Uploaders: Debian Security Team <team@security.debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
     asciidoc,
     gettext,
     gawk,
@@ -15,7 +15,7 @@
     original-awk,
     po-debconf,
     xmlto,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/debian-security-support.git
 Vcs-Browser: https://salsa.debian.org/debian/debian-security-support

## debian-security-support 11+2020.11.18

=== debian/changelog ===
debian-security-support (1:11+2020.11.18) unstable; urgency=medium

  * Add python2.7, cython and python-stdlib-extensions to
    security-support-limited, as they are only included for building packages,
    not running them. Closes: #975058.
  * Bump debhelper from 12 to 13, no changes needed nor observed.
  * Bump standards version to 4.5.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 18 Nov 2020 22:05:47 +0100

## debian-security-support 11+2020.12.04

=== debian/changelog ===
debian-security-support (1:11+2020.12.04) unstable; urgency=medium

  * [ Sylvain Beucler ]
    security-support-ended.deb9: Drop support for MongoDB.

 -- Holger Levsen <holger@debian.org>  Fri, 04 Dec 2020 13:29:56 +0100

## debian-security-support 11+2020.12.30

=== debian/changelog ===
debian-security-support (1:11+2020.12.30) unstable; urgency=medium

  [ Simon McVittie ]
  * Add mozjs78 to security-support-limited, see #959804 / MR7.

 -- Holger Levsen <holger@debian.org>  Wed, 30 Dec 2020 20:15:46 +0100

## debian-security-support 11+2021.01.23

=== debian/changelog ===
debian-security-support (1:11+2021.01.23) unstable; urgency=medium

  [ Sylvain Beucler ]
  * security-support-ended.deb9: Drop support for Reel.

 -- Holger Levsen <holger@debian.org>  Sat, 23 Jan 2021 16:48:23 +0100

## debian-security-support 11+2021.03.19

=== debian/changelog ===
debian-security-support (1:11+2021.03.19) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * check-support-status.hook and postinst: deal with broken perl.
  * /etc/dpkg/dpkg.cfg.d/debian-security-support: never fail. Closes: #984539.

 -- Holger Levsen <holger@debian.org>  Fri, 19 Mar 2021 21:58:42 +0100

## debian-security-support 11+2022.08.23

=== debian/changelog ===
debian-security-support (1:11+2022.08.23) bullseye; urgency=medium

  * Update security-support-limited from 1:12+2022.08.19 from unstable,
    - add khtml. Closes: #1004293.
    - add openjdk-17 and point to the bullseye release notes (as discussed in
      #975016).
    - for golang, point to the bullseye manual instead the buster one.
    - drop mozjs52 and mozjs60 as they were only present in buster.
    - drop libv8-3.14, mozjs, mozjs24, swftools and webkitgtk as they were
      only present in stretch and earlier.

 -- Holger Levsen <holger@debian.org>  Tue, 23 Aug 2022 18:26:34 +0200

## debian-security-support 11+2023.05.04

=== debian/changelog ===
debian-security-support (1:11+2023.05.04) bullseye-updates; urgency=medium

  [ Holger Levsen ]
  * set DEB_NEXT_VER_ID=12 as bookworm is the next release. Closes: #1034077.
    Thanks to Stuart Prescott.

  [ Sylvain Beucler ]
  * security-support-limited: add gnupg1, see #982258.

 -- Holger Levsen <holger@debian.org>  Thu, 04 May 2023 19:27:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Holger Levsen <holger@debian.org>
 Uploaders: Debian Security Team <team@security.debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
     asciidoc,
     gettext,
     gawk,
@@ -15,7 +15,7 @@
     original-awk,
     po-debconf,
     xmlto,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/debian-security-support.git
 Vcs-Browser: https://salsa.debian.org/debian/debian-security-support

=== debian/rules ===
#!/usr/bin/make -f

NEXT_VERSION_ID=12

DEBIAN_VERSION ?= $(shell cat /etc/debian_version | grep '[0-9.]' | cut -d. -f1)
ifeq (,$(DEBIAN_VERSION))
  DEBIAN_VERSION=$(NEXT_VERSION_ID)
endif

VER=$(shell dpkg-parsechangelog | grep "^Version" | awk '{print $$2}' )

%:
	dh $@

override_dh_clean:
	dh_clean
	-rm man/check-support-status.*1
	-rm check-support-status
	debconf-updatepo
	make -C po clean

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	# compile and install catalogs
	make -C po update-mo
	make -C po install

override_dh_install:
	mkdir -p debian/debian-security-support/usr/share/debian-security-support/
	cp security-support-ended.deb* debian/debian-security-support/usr/share/debian-security-support/
	cp security-support-limited debian/debian-security-support/usr/share/debian-security-support/security-support-limited
	dh_install

override_dh_installman:
	for man in man/check-support-status.txt.* ; do \
		[ -f "$$man" ] || continue ; \
		lang="$$(basename "$$man" | sed -e 's/^check-support-status\.txt\.//')" ; \
		a2x --format=manpage --no-xmllint "$$man" ; \
		mv man/check-support-status.1 "man/check-support-status.$$lang.1" ; \
		sed -i -e "s/\[% VERSION %\]/$(VER)/" "man/check-support-status.$$lang.1" ; \
	done
	a2x --format=manpage --no-xmllint man/check-support-status.txt
	sed -i -e "s/\[% VERSION %\]/$(VER)/" man/check-support-status.1
	# ignore an empty manpage created during build
	-rm -f debian/debian-security-support/usr/share/man/man1/check-support-status.1p
	dh_installman

override_dh_link:
	# After Closing: #762594, check-security-status reads the debian version
	# specific list file for ended and earlyend. This symlink is aimed to
	# prevent breaking anything relying on the security-support-ended list
	# file.
	dh_link usr/share/debian-security-support/security-support-ended.deb"$(DEBIAN_VERSION)" usr/share/debian-security-support/security-support-ended

override_dh_missing:
	dh_missing --fail-missing

## debian-security-support 11+2024.01.30

=== debian/changelog ===
debian-security-support (1:11+2024.01.30) bullseye; urgency=medium

  * Add chromium to security-support-ended.deb11, thanks to Andres Salomon.
    Closes: #1061268
  * Add tiles and libspring-java to security-support-limited. Closes: #1057343
  * Drop debian/.gitlab-ci.yml.

 -- Holger Levsen <holger@debian.org>  Tue, 30 Jan 2024 17:55:19 +0100

debian-security-support (1:11+2023.12.11) bullseye; urgency=medium

  [ Santiago Ruano Rincón ]
  * Mark samba support limited to non-AD DC uses cases (Closes: #1053109)
  * Drop version-based check (Closes: #986581) and update test suite
    accordingly. Backport changes made by Sylvain Beucler.
  * Match ecosystems with limited support, test case updated. (Closes: #986333)
    Backport changes by Sylvain Beucler.
    * Use golang.* (as regex) instead of golang* in security-support-limited

   [ Salvatore Bonaccorso ]
   * Add tor to security-support-ended.deb11 Closes: #1056606.

   [ Moritz Muehlenhoff ]
   * Mark Consul as EOLed in Bullseye. Closes: #1057418.
   * Mark Xen as EOLed in Bullseye. Closes: #1053246.

 -- Holger Levsen <holger@debian.org>  Fri, 22 Dec 2023 16:48:41 +0100

## debian-security-support 11+2024.09.30

=== debian/changelog ===
debian-security-support (1:11+2024.09.30) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.

  [ Moritz Muehlenhoff ]
  * Mark pdns-recursor as EOLed in Bullseye
  * Mark slurm-wlm as EOLed in Bullseye
  * Mark libreswan as EOLed in Bullseye

  [ Sylvain Beucler ]
  * Mark phppgadmin as EOLed in bullseye
  * Mark pytest-salt-factories as EOLed in bullseye
  * Mark pytest-testinfra as EOLed in bullseye
  * Mark salt as EOLed in bullseye
  * Mark gpac as EOLed in bullseye

  [ Holger Levsen ]
  * Mark snort as unsupported in bullseye. Closes: #1063756

  [ Santiago Ruano Rincón ]
  * Mark iotjs as EOLed in bullseye
  * Add wpewebkit to the bullseye ended support list
  * Mark python2.7 ecosystem, including cython, jython, pypy and
    python-stdlib-extensions as EOL'ed in bullseye

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Mon, 30 Sep 2024 18:06:04 -0300

## debian-security-support 11+2025.01.30

=== debian/changelog ===
debian-security-support (1:11+2025.01.30) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.

  [ Santiago Ruano Rincón ]
  * Add intel-mediasdk to security-support-ended.deb11 (Closes: #1087718)

  [ Emilio Pozuelo Monfort ]
  * Add node-matrix-js-sdk to security-support-ended.deb11 (Closes: #1094651)

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Thu, 30 Jan 2025 17:51:28 -0300

## debian-security-support 11+2025.06.21

=== debian/changelog ===
debian-security-support (1:11+2025.06.21) bullseye-security; urgency=medium

  [ Sylvain Beucler ]
  * Add ckeditor3 to security-support-ended.11

  [ Santiago Ruano Rincón ]
  * EOL odoo in bullseye. Closes: #1100929
  * Add musescore(2|3) to security-support-limited, thanks to Sylvain Beucler
  * Query source:Package instead of Source to get the list of packages
    (Closes: #1106203)
  * Add gobgp to security-support-limited

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Sat, 21 Jun 2025 10:38:58 -0300

## debian-security-support 11+2026.02.06

=== debian/changelog ===
debian-security-support (1:11+2026.02.06) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.

  [ Santiago Ruano Rincón ]
  * Mark freeimage as non-supported in bullseye LTS

  [ Sylvain Beucler ]
  * deb11: mark python-setuptools as non-supported, for clarity, as it is part
    of the python2 non-supported ecosystem

  [ Emilio Pozuelo Monfort ]
  * Mark node-node-forge as not supported on bullseye (Closes: #1124248)

  [ Holger Levsen ]
  * Mark zabbix as limited support (#1124558)
  * Mark hdf5 as limited supported. Closes: #1117607
  * Mark dnsdist and pdns as EOL in bullseye, Closes: #1119290, thanks to
    Bastien Roucariès

  [ Roberto C. Sánchez ]
  * deb11: mark guix as non-supported

  [ Utkarsh Gupta ]
  * Add keras to security-support-ended.deb11

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Fri, 06 Feb 2026 17:18:18 -0300

## debian-security-support 12+2022.02.07

=== debian/changelog ===
debian-security-support (1:12+2022.02.07) unstable; urgency=medium

  [ Markus Koschany ]
  * Mark guacamole-client as end-of-life in Stretch.

 -- Holger Levsen <holger@debian.org>  Mon, 07 Feb 2022 02:02:58 +0100

debian-security-support (1:12+2021.12.08) unstable; urgency=medium

  [ Sylvain Beucler ]
  * security-support-ended.deb9: drop support for libspring-java.
    (Closes: debian/debian-security-support#13)

  [ Holger Levsen ]
  * security-support-ended.deb10: drop support for xen. Closes: #993168
    Thanks to Hans van Kranenburg for the bug report.

 -- Holger Levsen <holger@debian.org>  Wed, 08 Dec 2021 19:20:51 +0100

debian-security-support (1:12+2021.09.30) unstable; urgency=medium

  [ Sylvain Beucler ]
  * Match ecosystems with limited support, test case updated. Closes: #986333
  * Add node-.* to security-support-ended.deb9.

 -- Holger Levsen <holger@debian.org>  Thu, 30 Sep 2021 13:09:03 +0200

debian-security-support (1:12+2021.09.15) unstable; urgency=medium

  [ Abhijith PA ]
  * security-support-ended.deb9: Drop support for keystone.

  [ Neil Williams ]
  * Remove build artifacts to fix CI pipeline.

  [ Sylvain Beucler ]
  * Drop version-based check (Closes: #986581) and update test suite
    accordingly.

  [ Holger Levsen ]
  * Bump version number as we are tracking bookworm now.
  * Bump standards version to 4.6.0.

 -- Holger Levsen <holger@debian.org>  Wed, 15 Sep 2021 19:17:52 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
     original-awk,
     po-debconf,
     xmlto,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/debian-security-support.git
 Vcs-Browser: https://salsa.debian.org/debian/debian-security-support

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-NEXT_VERSION_ID=12
+NEXT_VERSION_ID=11
 
 DEBIAN_VERSION ?= $(shell cat /etc/debian_version | grep '[0-9.]' | cut -d. -f1)
 ifeq (,$(DEBIAN_VERSION))

## debian-security-support 12+2022.08.22

=== debian/changelog ===
debian-security-support (1:12+2022.08.22) unstable; urgency=medium

  * Revert "include /var/lib/debian-security-support in package.", thus
    reopening #990432. Closes: #1017840

 -- Holger Levsen <holger@debian.org>  Mon, 22 Aug 2022 14:59:42 +0200

debian-security-support (1:12+2022.08.19) unstable; urgency=medium

  * security-suport-limited: add openjdk-17 and point to the bullseye release
    notes (as discussed in #975016).

 -- Holger Levsen <holger@debian.org>  Fri, 19 Aug 2022 14:26:39 +0200

debian-security-support (1:12+2022.08.18) unstable; urgency=medium

  * security-support-limited:
    - for golang, point to the bullseye manual instead the buster one.
    - drop libv8-3.14, mosjz, mosjz24, swftools and webkitgtk as they were only
      present in stretch and earlier.
    - drop mosjz68 as it was never part of any release.
  * check-support-status.in: set DEB_NEXT_VER_ID=12.
  * debian/rules:
    - set NEXT_VERSION_ID=12
    - include /usr/share/dpkg/pkg-info.mk and use DEB_VERSION accordingly.
      Thanks lintian.
  * Add "Closes: #773387" (which should have been merged with #1004293) in
    1:12+2022.08.06 changelog entry.
  * Add "Closes: #928027" to 2019.12.12 changelog entry.

 -- Holger Levsen <holger@debian.org>  Thu, 18 Aug 2022 11:32:08 +0200

debian-security-support (1:12+2022.08.12) unstable; urgency=medium

  [ Sylvain Beucler ]
  * security-support-ended.deb10:
    - drop support for libspring-java.
    - drop support for ckeditor3.
    - drop support for chromium.

  [ Holger Levsen ]
  * d/control: set Debian Security Team <team@security.debian.org> as
    Maintainer, move myself to Uploaders.

 -- Holger Levsen <holger@debian.org>  Fri, 12 Aug 2022 15:50:23 +0200

debian-security-support (1:12+2022.08.06) unstable; urgency=medium

  [ Sylvain Beucler ]
  * security-support-ended.deb10:
    - drop support for slurm-llnl as suggested by secteam 2022-07-14.
    - drop support for gpac.
    - fix spacing.

  [ Utkarsh Gupta ]
  * Add myself as an uploader.

  [ Holger Levsen ]
  * Add khtml to security-support-limited. Closes: #1004293, #773387
  * include /var/lib/debian-security-support in package. Closes: #990432
  * d/rules: simplefy runes to determine current version. thanks adsb

 -- Holger Levsen <holger@debian.org>  Sat, 06 Aug 2022 16:48:45 +0200

debian-security-support (1:12+2022.06.01) unstable; urgency=medium

  [ Roberto C. Sánchez ]
  * security-support-ended.deb9: drop support for gpac.

  [ Markus Koschany ]
  * security-support-ended.deb9:
    - drop support for ansible.
    - drop mysql-connector-java.

  [ Sylvain Beucler ]
  * security-support-ended.deb9: drop support for ckeditor3.

  [ Holger Levsen ]
  * Add README.source.
  * Bump standards version to 4.6.1.

 -- Holger Levsen <holger@debian.org>  Wed, 01 Jun 2022 17:08:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: debian-security-support
 Section: admin
 Priority: optional
-Maintainer: Holger Levsen <holger@debian.org>
-Uploaders: Debian Security Team <team@security.debian.org>
+Maintainer: Debian Security Team <team@security.debian.org>,
+Uploaders: Holger Levsen <holger@debian.org>,
+           Utkarsh Gupta <utkarsh@debian.org>,
 Build-Depends: debhelper-compat (= 13),
     asciidoc,
     gettext,
@@ -15,7 +16,7 @@
     original-awk,
     po-debconf,
     xmlto,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/debian-security-support.git
 Vcs-Browser: https://salsa.debian.org/debian/debian-security-support

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,13 @@
 #!/usr/bin/make -f
 
-NEXT_VERSION_ID=11
+include /usr/share/dpkg/pkg-info.mk
+
+NEXT_VERSION_ID=12
 
 DEBIAN_VERSION ?= $(shell cat /etc/debian_version | grep '[0-9.]' | cut -d. -f1)
 ifeq (,$(DEBIAN_VERSION))
   DEBIAN_VERSION=$(NEXT_VERSION_ID)
 endif
-
-VER=$(shell dpkg-parsechangelog | grep "^Version" | awk '{print $$2}' )
 
 %:
 	dh $@
@@ -37,10 +37,10 @@
 		lang="$$(basename "$$man" | sed -e 's/^check-support-status\.txt\.//')" ; \
 		a2x --format=manpage --no-xmllint "$$man" ; \
 		mv man/check-support-status.1 "man/check-support-status.$$lang.1" ; \
-		sed -i -e "s/\[% VERSION %\]/$(VER)/" "man/check-support-status.$$lang.1" ; \
+		sed -i -e "s/\[% VERSION %\]/$(DEB_VERSION)/" "man/check-support-status.$$lang.1" ; \
 	done
 	a2x --format=manpage --no-xmllint man/check-support-status.txt
-	sed -i -e "s/\[% VERSION %\]/$(VER)/" man/check-support-status.1
+	sed -i -e "s/\[% VERSION %\]/$(DEB_VERSION)/" man/check-support-status.1
 	# ignore an empty manpage created during build
 	-rm -f debian/debian-security-support/usr/share/man/man1/check-support-status.1p
 	dh_installman

## debian-security-support 12+2023.03.17

=== debian/changelog ===
debian-security-support (1:12+2023.03.17) unstable; urgency=medium

  [ Moritz Muehlenhoff ]
  * security-support-limited: add note about libspring-java.

  [ Holger Levsen ]
  * security-support-limited: Add openjdk-21 and drop openjdk-17 as the latter
    is the default (and supported) JDK in bookworm.
  * Add lintian override for possibly-insecure-handling-of-tmp-files-in-
    maintainer-script after reviewing the postinst script.
  * Add lintian override for unused debconf templates because the templates are
    used, just not by debconf.

 -- Holger Levsen <holger@debian.org>  Fri, 17 Mar 2023 12:27:15 +0100

debian-security-support (1:12+2023.03.05) unstable; urgency=medium

  * security-support-limited:
    - for golang and openjdk-17, point to the bookworm manual instead the one
      for bullseye.
    - add mozjs102 based on package description (and #959804).
    - drop mozjs52 and mozjs60 as they were only present in buster.

 -- Holger Levsen <holger@debian.org>  Sun, 05 Mar 2023 20:39:38 +0100

debian-security-support (1:12+2022.08.23) unstable; urgency=medium

  * Add Romanian translation for debian-security-support debconf templates,
    thanks to Remus-Gabriel Chelu. Closes: #1031615.
  * Add Romanian translation for check-support-status, thanks to
    Remus-Gabriel Chelu. Closes: #1031617.
  * Fix mismatched lintian override, thanks lintian-brush.
  * Bump standards version to 4.6.2, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sun, 05 Mar 2023 20:06:04 +0100

## debian-security-support 12+2023.03.23

=== debian/changelog ===
debian-security-support (1:12+2023.03.23) unstable; urgency=medium

  * d/README.source: list steps to be done at the beginning of each release
    cycle to avoid bugs like #1033312.

 -- Holger Levsen <holger@debian.org>  Thu, 23 Mar 2023 22:38:23 +0100

debian-security-support (1:12+2023.03.22) unstable; urgency=medium

  * Add currently empty security-support-ended.deb12 file. Closes: #1033312.

 -- Holger Levsen <holger@debian.org>  Wed, 22 Mar 2023 11:24:28 +0100

## debian-security-support 12+2023.05.04

=== debian/changelog ===
debian-security-support (1:12+2023.05.04) unstable; urgency=medium

  [ Holger Levsen ]
  * set DEB_NEXT_VER_ID=13 in anticipation of the bookworm release.
    Closes: #1034077. Thanks to Stuart Prescott.
  * security-support-limited: add rust.* as discussed in
    https://salsa.debian.org/ddp-team/release-notes/-/merge_requests/153
  * Update Turkish translation, thanks to Atila KOÇ. Closes: #1033928.

  [ Sylvain Beucler ]
  * security-support-limited: add gnupg1, see #982258.

 -- Holger Levsen <holger@debian.org>  Thu, 04 May 2023 19:09:45 +0200

## debian-security-support 12+2023.05.12

=== debian/changelog ===
debian-security-support (1:12+2023.05.12) unstable; urgency=medium

  [ Holger Levsen ]
  * Add wpewebkit to security-support-ended.deb12. Thanks to Alberto Garcia.
    Closes: #1035794.

  [ Markus Koschany ]
  * Add pluxml to security-support-ended.deb10.

 -- Holger Levsen <holger@debian.org>  Fri, 12 May 2023 14:45:22 +0200

## debian-security-support 12+2024.12.22

=== debian/changelog ===
debian-security-support (1:12+2024.12.22) bookworm; urgency=medium

  [ Salvatore Bonaccorso ]
  * Mark src:vte as limited supported in Debian bookworm and above.
    Thanks to Simon McVittie. Closes: #1082885.

  [ Holger Levsen ]
  * Add intel-mediasdk to security-support-ended.deb12. Closes: #1087718.
  * Add tiles to security-support-limited. Closes: #1057343.
  * Add jython to security-support-limited.
  * Drop openjdk-21 from security-support-limited. Closes: #1079693.
  * Drop debian/.gitlab-ci.yml
  * Drop spurios comma after Maintainer field, thanks buxy.

 -- Holger Levsen <holger@debian.org>  Sun, 22 Dec 2024 20:33:58 +0100

## debian-security-support 12+2025.05.10

=== debian/changelog ===
debian-security-support (1:12+2025.05.10) bookworm; urgency=medium

  [ Salvatore Bonaccorso ]
  * Mark libnet-easytcp-perl as unuspported for bookworm, see #1093386.

  [ Sylvain Beucler ]
  * Add php-horde ecosystem to security-support-ended.12.
  * Add ckeditor3 to security-support-ended.12.

  [ Holger Levsen ]
  * Add gobgp to security-support-limited, thanks to Bastien Roucariès.
  * Add musescore(2|3) to security-support-limited, thanks to Sylvain Beucler.
  * Drop python2.7 and python-stdlib-extensions from security-support-limited,
    as they were not part of bookworm. Thanks to Chris Hofstaedtler.
  * Add debian/salsa-ci.yml to configure+use that pipeline.

 -- Holger Levsen <holger@debian.org>  Sat, 10 May 2025 15:05:50 +0200

## debian-security-support 12+2025.06.20

=== debian/changelog ===
debian-security-support (1:12+2025.06.20) bookworm; urgency=medium

  * Query source:Package instead of Source to get the list of packages
    (Closes: #1106203)
  * Fix typo related to gobgp

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Fri, 20 Jun 2025 17:58:38 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: debian-security-support
 Section: admin
 Priority: optional
-Maintainer: Debian Security Team <team@security.debian.org>,
+Maintainer: Debian Security Team <team@security.debian.org>
 Uploaders: Holger Levsen <holger@debian.org>,
            Utkarsh Gupta <utkarsh@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -16,7 +16,7 @@
     original-awk,
     po-debconf,
     xmlto,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/debian-security-support.git
 Vcs-Browser: https://salsa.debian.org/debian/debian-security-support

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-NEXT_VERSION_ID=12
+NEXT_VERSION_ID=13
 
 DEBIAN_VERSION ?= $(shell cat /etc/debian_version | grep '[0-9.]' | cut -d. -f1)
 ifeq (,$(DEBIAN_VERSION))

## debian-security-support 12+2026.01.04

=== debian/changelog ===
debian-security-support (1:12+2026.01.04) bookworm; urgency=medium

  [ Holger Levsen ]
  * Mark zabbix as limited support, thanks to Moritz Muehlenhoff.
    Closes: #1124558.
  * Mark hdf5 as limited supported, thanks to Jochen Sprickerhof.
    Closes: #1117607.
  * Mark dnsdist, pdns, pdns-recursor as EOL. Thanks to Bastien Roucariès.
    Closes: #1119290.
  * Add libsoup2.4 and libsoup3 to limited support. Thanks to Simon McVittie.
    Closes: #1109118.

 -- Holger Levsen <holger@debian.org>  Sun, 04 Jan 2026 13:20:51 +0100
